[system]
console_output = borg_log
VERBOSE_LEVEL = 2
N0 = 128
N1 = 128
N2 = 128
L0 = 500.0
L1 = 500.0
L2 = 500.0
corner0 = -250.0
corner1 = -250.0
corner2 = -250.0
NUM_MODES = 100
test_mode = true
seed_cpower = true

[block_loop]
hades_sampler_blocked = false
bias_sampler_blocked= true
gauss_sigma_sampler_blocked = false
ares_heat = 1.0

[mcmc]
number_to_generate = 10
warmup_model = 3
warmup_cosmo = 7
random_ic = false
init_random_scaling = 0.1
bignum = 1e300

[hades]
algorithm = HMC
max_epsilon = 0.01
max_timesteps = 50
mixing = 1

[model]
gravity = lpt
logfR0 = -5.0
gauss_sigma = 0.05
af = 1.0
ai = 0.05

[prior]
omega_m = [0.1, 0.8]
sigma8 = [0.1, 1.5]
muA = [0.5, 1.5]
alpha = [0.0, 10.0]
sig_v = [50.0, 200.0]
bulk_flow = [-200.0, 200.0]

[cosmology]
omega_r = 0
fnl = 0
omega_k = 0
omega_m = 0.315
omega_b = 0.049
omega_q = 0.685
h100 = 0.68
sigma8 = 0.81
n_s = 0.97
w = -1
wprime = 0
beta = 1.5
z0 = 0

[emulator]
use_emulator = True
model_weights_path = /home/bartlett/mgborg_emulator/weights/d2d_borg.pt
architecture = StyledVNet
use_float64 = False
use_pad_and_NN = True
requires_grad = False
style_size = 1
in_chan = 3
out_chan = 3

[run]
run_type = mock
NCAT = 0

[mock]
seed = 123

[python]
likelihood_path = /home/bartlett/mgborg_emulator/mgborg_emulator/likelihood.py
